﻿<?php
/*
 * TS3UpdateNotifier by EurenikZ
 * v1.0
*/

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
if($_SERVER["REMOTE_ADDR"]==$_SERVER["SERVER_ADDR"]) // Zugriff nur vom Server aus gewähren
{
	// Neueste Version
	$opts=array(
		'http'=>array(
			'method'=>"GET",
			'header'=> implode("\r\n", array('Content-type: text/plain;', 'User-Agent: PHP/1.0'))
		)
	);
	$context=stream_context_create($opts);
	$json=json_decode(file_get_contents("https://www.teamspeak.com/versions/server.json", false, $context));
	$newest=$json->linux->x86_64->version;

	// Installierte Version
	include('ts3admin.class.php'); // Pfad zur ts3admin.class.php
	$ts3=new ts3admin('127.0.0.1', 10011); // Falls der TeamSpeak-Server nicht auf dem selben Server wie der Webserver läuft, hier IP und ggf. Query-Port anpassen.
	$connect=$ts3->connect();
	if($connect['success'])
	{
		$ts3->login('serveradmin', 'PASSWORT'); // Ersetze hier PASSWORT mit dem serveradmin-Passwort.
		$ts3->selectServer('9987');
		$version=$ts3->version();
		$installed=$version["data"]["version"];
	}else{
		$offline=true;
	}
	if(!isset($offline))
	{
		if($newest != $installed)
		{
			require 'PHPMailer/src/Exception.php'; // Pfad zu PHPMailer hier ggf. anpassen.
			require 'PHPMailer/src/PHPMailer.php'; // Pfad zu PHPMailer hier ggf. anpassen.
			require 'PHPMailer/src/SMTP.php'; // Pfad zu PHPMailer hier ggf. anpassen.
			$mail=new PHPMailer;
			$mail->isSMTP();
			$mail->Debugoutput='html';
			$mail->Host='SMTP.SERVER.TLD'; // SMTP-Server
			$mail->Port=25;
			$mail->SMTPAuth=true;
			$mail->Username='BENUTZER@SERVER.TLD'; // SMTP-Benutzer
			$mail->Password='PASSWORT'; // SMTP Benutzer-Passwort
			$mail->CharSet='UTF-8';
			$mail->isHTML(true);
			$mail->setFrom('BENUTZER@SERVER.TLD'); // Absender-E-Mail-Adresse
			$mail->addAddress('DEINE@EMAIL.TLD'); // Empfänger E-Mail-Adresse
			$mail->Subject='[Alert] Neue TeamSpeak Server-Version verfügbar'; // Betreff der E-Mail
			$mail->Body='<p>Eine neuere TeamSpeak-Version ist verfügbar.</p><p>
			<table>
				<tr>
					<td style="padding-right: 5px;">Installierte Version:</td>
					<td><b>'.$installed.'</b></td>
				</tr>
				<tr>
					<td>Neue Version:</td>
					<td><b>'.$newest.'</b></td>
				</tr>
			</table></p>'; // Inhalt der E-Mail
			if($mail->send())
			{
				echo 'email sent.';
			}
		}
	}
}else{
	echo 'Access denied.';
}